events.listen('recipes', event => {
    event.shaped(('1x prettypipes:blank_module'), [
        'QRQ',
        'SPS',
        'QRQ'
    ], {
        P: 'prettypipes:pipe',
        Q: 'minecraft:quartz',
        S: 'appliedenergistics2:silicon',
        R: 'thermal:redstone_servo'
    })

    event.shaped(('6x prettypipes:pipe'), [
        'BGB',
        'GRG',
        'BGB'
    ], {
        B: 'minecraft:iron_bars',
        G: 'minecraft:glass',
        R: 'thermal:redstone_servo'
    })

    event.shapeless(('1x ppfluids:fluid_pipe'), ['prettypipes:pipe', 'thermal:cured_rubber'])
})